"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveJunk = exports.isJunk = void 0;
const errors_js_1 = require("../errors.js");
const message_value_1 = require("../message-value");
/**
 * Type guard for {@link Junk} pattern elements
 *
 * @beta
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const isJunk = (part) => !!part && typeof part === 'object' && part.type === 'junk';
exports.isJunk = isJunk;
function resolveJunk(ctx, { source }) {
    const fb = new message_value_1.MessageFallback(ctx, { source });
    ctx.onError(new errors_js_1.MessageError('junk-element', 'Junk pattern element cannot be resolved'), fb);
    return fb;
}
exports.resolveJunk = resolveJunk;
